<?xml version="1.0" encoding="UTF-8"?>
<!--
 #=============================================================================#
 # Copyright (c) 2018, 2025 Stephan Wahlbrink and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0, or the Apache License, Version 2.0
 # which is available at https://www.apache.org/licenses/LICENSE-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0 OR Apache-2.0
 # 
 # Contributors:
 #     Stephan Wahlbrink <sw@wahlbrink.eu> - initial API and implementation
 #=============================================================================#
-->

<web-app xmlns="http://xmlns.jcp.org/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_4_0.xsd"
		version="4.0">
	
	<display-name>org.eclipse.statet.rj.servi.webapp</display-name>
	
	<welcome-file-list>
		<welcome-file>index.jsp</welcome-file>
	</welcome-file-list>
	
	<servlet>
		<servlet-name>RJServlet</servlet-name>
		<servlet-class>org.eclipse.statet.rj.servi.webapp.RJServlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>RJServlet</servlet-name>
		<url-pattern>/status</url-pattern>
	</servlet-mapping>
	
	<servlet>
		<servlet-name>FacesServlet</servlet-name>
		<servlet-class>javax.faces.webapp.FacesServlet</servlet-class>
		<load-on-startup>2</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>FacesServlet</servlet-name>
		<url-pattern>/faces/*</url-pattern>
	</servlet-mapping>
	
	<filter>
		<display-name>CheckingFilter</display-name>
		<filter-name>CheckingFilter</filter-name>
		<filter-class>org.eclipse.statet.rj.servi.webapp.CheckingFilter</filter-class>
	</filter>
	<filter-mapping>
		<filter-name>CheckingFilter</filter-name>
		<url-pattern>/faces/resources/*</url-pattern>
		<dispatcher>REQUEST</dispatcher>
	</filter-mapping>
	
	<listener>
		<display-name>AppEnv for ECommons</display-name>
		<listener-class>org.eclipse.statet.rj.servi.webapp.AppEnv</listener-class>
	</listener>
	
	<session-config>
		<session-timeout>30</session-timeout>
	</session-config>

<!--
	<security-constraint>
		<web-resource-collection>
		<web-resource-name>admin</web-resource-name>
			<url-pattern>/resources/*</url-pattern>
		</web-resource-collection>
		<auth-constraint>
			<role-name>admin</role-name>
		</auth-constraint>
	</security-constraint>
-->

</web-app>
